package com.ynet.life.sujrb.action;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.TypeReference;
import com.alibaba.fastjson.parser.Feature;
import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.life.base.LifeAction;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/LimitDetailParseAction.class */
public class LimitDetailParseAction extends LifeAction {
    private String creditIcollName;
    private String loanIcollName;
    private String repayIcollName;
    public static String queryAmtSQL = "SELECT RCC_ATTTIME FROM fsp_req_conf_control WHERE RCC_TYPE=?";
    public static String queryCorpAmtSQL = "SELECT PCI_SKDAmt,PCI_ZSDAmt,PCI_YKDAmt,PCI_KJDAmt,PCI_LSDAmt,PCI_MPDAmt1,PCI_ZGDAmt,PCI_GZRAmt,PCI_ZYDAmt,PCI_MPDAmt2,PCI_MPDAmt3,PCI_XJZZDAmt FROM fsp_cor_inf_szyq WHERE FCI_CORNO=?";

    public String execute(Context context) throws GENEException {
        BigDecimal totalAmt;
        BigDecimal pciUseAmt;
        Boolean isLoan;
        BigDecimal pciUsedAmt;
        String result = "";
        IndexedCollection creditIcoll = context.getDataElement(this.creditIcollName);
        IndexedCollection loanIcoll = context.getDataElement(this.loanIcollName);
        IndexedCollection repayIcoll = context.getDataElement(this.repayIcollName);
        List<Map<String, Object>> creditList = (List) JSON.parseObject(creditIcoll.toJSon(), new TypeReference<List<Map<String, Object>>>() { // from class: com.ynet.life.sujrb.action.LimitDetailParseAction.1
        }, new Feature[0]);
        List<Map<String, Object>> loanList = (List) JSON.parseObject(loanIcoll.toJSon(), new TypeReference<List<Map<String, Object>>>() { // from class: com.ynet.life.sujrb.action.LimitDetailParseAction.2
        }, new Feature[0]);
        List<Map<String, Object>> repayList = (List) JSON.parseObject(repayIcoll.toJSon(), new TypeReference<List<Map<String, Object>>>() { // from class: com.ynet.life.sujrb.action.LimitDetailParseAction.3
        }, new Feature[0]);
        Map<String, String> proMaxLimitMap = getProMaxApplyLimit(context);
        Map<String, List<Map<String, Object>>> repayMap = new HashMap<>();
        Map<String, BigDecimal> repayAmtMap = new HashMap<>();
        new ArrayList();
        for (Map<String, Object> kcoll2 : repayList) {
            String loanFlowNo = kcoll2.get("flowNo").toString();
            BigDecimal repayAmt = new BigDecimal(0);
            if (kcoll2.get("rlAmt") != null && !kcoll2.get("rlAmt").equals("")) {
                repayAmt = new BigDecimal(kcoll2.get("rlAmt").toString());
            }
            if (repayAmtMap.containsKey(loanFlowNo)) {
                BigDecimal amt = repayAmtMap.get(loanFlowNo);
                repayAmtMap.put(loanFlowNo, amt.add(repayAmt));
            } else {
                repayAmtMap.put(loanFlowNo, repayAmt);
            }
            kcoll2.put("rlAmt", repayAmt.divide(new BigDecimal("10000")).setScale(2, 1).toString());
            if (repayMap.containsKey(loanFlowNo)) {
                repayMap.get(loanFlowNo).add(kcoll2);
            } else {
                List<Map<String, Object>> tempIcoll = new ArrayList<>();
                tempIcoll.add(kcoll2);
                repayMap.put(loanFlowNo, tempIcoll);
            }
        }
        Map<String, List<Map<String, Object>>> loanMap = new HashMap<>();
        Map<String, BigDecimal> loanUsedAmtMap = new HashMap<>();
        for (Map<String, Object> kcoll : loanList) {
            String creFlowNo = kcoll.get("flowNo").toString();
            String loanFlowNo2 = "";
            if (kcoll.get("loaFlowNo") != null && !kcoll.get("loaFlowNo").equals("")) {
                loanFlowNo2 = kcoll.get("loaFlowNo").toString();
            }
            BigDecimal flaAmt = new BigDecimal(0);
            BigDecimal loaAmt = new BigDecimal(0);
            new BigDecimal(0);
            new BigDecimal(0);
            Boolean bool = Boolean.TRUE;
            if (kcoll.get("flaAmt") != null && !kcoll.get("flaAmt").equals("")) {
                flaAmt = new BigDecimal(kcoll.get("flaAmt").toString());
            }
            if (kcoll.get("loaAmt") != null && !kcoll.get("loaAmt").equals("")) {
                isLoan = Boolean.TRUE;
                loaAmt = new BigDecimal(kcoll.get("loaAmt").toString());
            } else {
                isLoan = Boolean.FALSE;
            }
            BigDecimal pciFreezeAmt = flaAmt.subtract(loaAmt);
            if (!loanFlowNo2.equals("") && repayAmtMap.containsKey(loanFlowNo2)) {
                pciUsedAmt = loaAmt.subtract(repayAmtMap.get(loanFlowNo2));
            } else {
                pciUsedAmt = loaAmt;
            }
            BigDecimal freezeAddUsedAmt = pciFreezeAmt.add(pciUsedAmt);
            if (loanUsedAmtMap.containsKey(creFlowNo)) {
                BigDecimal amt2 = loanUsedAmtMap.get(creFlowNo);
                loanUsedAmtMap.put(creFlowNo, amt2.add(freezeAddUsedAmt));
            } else {
                loanUsedAmtMap.put(creFlowNo, freezeAddUsedAmt);
            }
            if (isLoan.booleanValue()) {
                kcoll.put("loaAmt", loaAmt.divide(new BigDecimal("10000")).setScale(2, 1).toString());
            }
            kcoll.put("pciFreezeAmt", pciFreezeAmt.divide(new BigDecimal("10000")).setScale(2, 1).toString());
            kcoll.put("pciUsedAmt", pciUsedAmt.divide(new BigDecimal("10000")).setScale(2, 1).toString());
            if (!loanFlowNo2.equals("") && repayMap.containsKey(loanFlowNo2)) {
                kcoll.put("repayListData", repayMap.get(loanFlowNo2));
            } else {
                kcoll.put("repayListData", new ArrayList());
            }
            if (loanMap.containsKey(creFlowNo)) {
                loanMap.get(creFlowNo).add(kcoll);
            } else {
                List<Map<String, Object>> arrayList = new ArrayList<>();
                arrayList.add(kcoll);
                loanMap.put(creFlowNo, arrayList);
            }
        }
        for (Map<String, Object> kcoll3 : creditList) {
            String creFlowNo2 = kcoll3.get("creFlowNo").toString();
            BigDecimal pciTotalAmt = new BigDecimal(0);
            new BigDecimal(0);
            if (kcoll3.get("pciTotalAmt") != null && !kcoll3.get("pciTotalAmt").equals("")) {
                pciTotalAmt = new BigDecimal(kcoll3.get("pciTotalAmt").toString());
            }
            new BigDecimal(0);
            BigDecimal proApplyMaxAmt = new BigDecimal(0);
            String proType = kcoll3.get("fprFlowNo").toString();
            if (proMaxLimitMap.containsKey(proType)) {
                proApplyMaxAmt = new BigDecimal(proMaxLimitMap.get(proType));
            }
            if (proApplyMaxAmt.compareTo(pciTotalAmt) < 0) {
                totalAmt = proApplyMaxAmt;
            } else {
                totalAmt = pciTotalAmt;
            }
            if (loanUsedAmtMap.containsKey(creFlowNo2)) {
                pciUseAmt = totalAmt.subtract(loanUsedAmtMap.get(creFlowNo2));
            } else {
                pciUseAmt = totalAmt;
            }
            kcoll3.put("pciTotalAmt", pciTotalAmt.divide(new BigDecimal("10000")).setScale(2, 1).toString());
            kcoll3.put("pciUseAmt", pciUseAmt.divide(new BigDecimal("10000")).setScale(2, 1).toString());
            if (loanMap.containsKey(creFlowNo2)) {
                kcoll3.put("loanListData", loanMap.get(creFlowNo2));
            } else {
                kcoll3.put("loanListData", new ArrayList());
            }
        }
        if (creditList.size() > 0) {
            result = JSON.toJSONString(creditList);
        }
        context.put("result", result);
        return "0";
    }

    /* JADX WARN: Can't wrap try/catch for region: R(12:(14:47|(2:49|(1:107))(1:108)|53|54|55|(3:57|(1:59)(1:61)|60)|62|(4:65|(3:71|72|(3:74|75|76)(1:77))(3:67|68|69)|70|63)|78|79|80|81|82|83)|54|55|(0)|62|(1:63)|78|79|80|81|82|83) */
    /* JADX WARN: Code restructure failed: missing block: B:109:0x0257, code lost:
    
        if (r0.compareTo(r15) < 0) goto L79;
     */
    /* JADX WARN: Removed duplicated region for block: B:57:0x02b4 A[Catch: Exception -> 0x0402, all -> 0x0420, TryCatch #4 {Exception -> 0x0402, blocks: (B:55:0x0282, B:57:0x02b4, B:60:0x0330, B:61:0x0327, B:62:0x036c, B:63:0x03e9, B:65:0x0388, B:72:0x03b9, B:75:0x03ca, B:68:0x03de, B:79:0x03f3), top: B:54:0x0282, outer: #0 }] */
    /* JADX WARN: Removed duplicated region for block: B:65:0x0388 A[Catch: Exception -> 0x0402, all -> 0x0420, TryCatch #4 {Exception -> 0x0402, blocks: (B:55:0x0282, B:57:0x02b4, B:60:0x0330, B:61:0x0327, B:62:0x036c, B:63:0x03e9, B:65:0x0388, B:72:0x03b9, B:75:0x03ca, B:68:0x03de, B:79:0x03f3), top: B:54:0x0282, outer: #0 }] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private java.util.Map<java.lang.String, java.lang.String> getProMaxApplyLimit(com.ynet.gene.core.Context r8) {
        /*
            Method dump skipped, instructions count: 1367
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.ynet.life.sujrb.action.LimitDetailParseAction.getProMaxApplyLimit(com.ynet.gene.core.Context):java.util.Map");
    }

    public void setCreditIcollName(String creditIcollName) {
        this.creditIcollName = creditIcollName;
    }

    public void setLoanIcollName(String loanIcollName) {
        this.loanIcollName = loanIcollName;
    }

    public void setRepayIcollName(String repayIcollName) {
        this.repayIcollName = repayIcollName;
    }
}
